---
updatedAt: 2025-06-17T21:35:52.000Z
agentTools:
  projectIndex: https://developers.resova.com/llms.txt
---

# Authentication

Authentication to the API is performed via the X-API-KEY header. Provide your API key as the basic header value. You do not need to provide a password.

All requests are required to be made over [HTTPS](https://en.wikipedia.org/wiki/HTTPS). Any calls that are made over plain HTTP will fail.

```curl Example
curl -H 'X-API-KEY: APIKEY' https://api.resova.eu/v1/baskets
```

## Where can i find my api key?

If you haven't already, you can sign up for a new account [here](https://registration.resova.com). Once you have logged into your account head over to **Settings** > **General Settings** > **Developer** where your API KEY will be located.

**Please note**: trial accounts are unable to access the API for security reasons, only fully active accounts can make use of the API.

## IP Whitelisting

You will need to whitelist any ips you wish to make api calls from. To do so head to **Settings** > **General Settings** > **Developer** > **IP Whitelisting**